> ## Documentation Index
> Fetch the complete documentation index at: https://docs.geminix.cc/llms.txt
> Use this file to discover all available pages before exploring further.

# 编辑图像(qwen-image-edit)

>  百炼qwen-image系列图片生成



## OpenAPI

````yaml /openapi/relay.json post /v1/images/edits
openapi: 3.0.1
info:
  title: OmniMux Gateway API
  description: >-
    OpenAI-compatible relay API for OmniMux (geminix.cc). Use Authorization:
    Bearer sk-... and base URL https://api.geminix.cc/v1 for SDKs.
  version: 1.0.0
servers:
  - url: https://api.geminix.cc
    description: OmniMux production API
security:
  - BearerAuth: []
tags:
  - name: 获取模型列表
  - name: OpenAI格式(Chat)
  - name: OpenAI格式(Responses)
  - name: 图片生成
  - name: 图片生成/OpenAI兼容格式
  - name: 图片生成/Qwen千问
  - name: 视频生成
  - name: 视频生成/Sora兼容格式
  - name: 视频生成/Kling格式
  - name: 视频生成/即梦格式
  - name: Claude格式(Messages)
  - name: Gemini格式
  - name: OpenAI格式(Embeddings)
  - name: 文本补全(Completions)
  - name: OpenAI音频(Audio)
  - name: 重排序(Rerank)
  - name: Moderations
  - name: Realtime
  - name: 未实现
  - name: 未实现/Fine-tunes
  - name: 未实现/Files
paths:
  /v1/images/edits:
    post:
      tags:
        - Images
      summary: 编辑图像(qwen-image-edit)
      description: ' 百炼qwen-image系列图片生成'
      operationId: createImage
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                model:
                  type: string
                input:
                  type: object
                  properties:
                    messages:
                      type: array
                      items:
                        type: object
                        properties:
                          role:
                            type: string
                          content:
                            type: array
                            items:
                              type: object
                              properties:
                                image:
                                  type: string
                                text:
                                  type: string
                  required:
                    - messages
                parameters:
                  type: object
                  properties:
                    'n':
                      type: integer
                    negative_prompt:
                      type: string
                    prompt_extend:
                      type: boolean
                    watermark:
                      type: boolean
                    size:
                      type: string
              required:
                - model
                - input
            example: |-
              {
                  "model": "qwen-image-edit-plus",
                  "input": {
                      "messages": [
                          {
                              "role": "user",
                              "content": [
                                  {
                                      "image": "https://help-static-aliyun-doc.aliyuncs.com/file-manage-files/zh-CN/20250925/fpakfo/image36.webp"
                                  },
                                  {
                                      "text": "生成一张符合深度图的图像，遵循以下描述：一辆红色的破旧的自行车停在一条泥泞的小路上，背景是茂密的原始森林"
                                  }
                              ]
                          }
                      ]
                  },
                  "parameters": {
                      "n": 2,
                      "negative_prompt": " ",
                      "prompt_extend": true,
                      "watermark": false
                  }
      responses:
        '200':
          description: 成功生成图像
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ImageResponse'
          headers: {}
      deprecated: false
      security:
        - BearerAuth: []
components:
  schemas:
    ImageResponse:
      type: object
      properties:
        created:
          type: integer
        data:
          type: array
          items:
            type: object
            properties:
              url:
                type: string
              b64_json:
                type: string
              revised_prompt:
                type: string
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: |
        使用 Bearer Token 认证。
        格式: `Authorization: Bearer sk-xxxxxx`

````